org.apache.hc.core5.http.impl.bootstrap

## Class AsyncRequesterBootstrap

- java.lang.Object
- - org.apache.hc.core5.http.impl.bootstrap.AsyncRequesterBootstrap

-     public class AsyncRequesterBootstrap
      extends Object

  `HttpAsyncRequester` bootstrap.
  Since:
    5.0

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AsyncRequesterBootstrap` | `bootstrap()`
    `HttpAsyncRequester` | `create()`
    `AsyncRequesterBootstrap` | `setCharCodingConfig(CharCodingConfig charCodingConfig)` Sets message char coding.
    `AsyncRequesterBootstrap` | `setConnectionReuseStrategy(ConnectionReuseStrategy connStrategy)` Assigns `ConnectionReuseStrategy` instance.
    `AsyncRequesterBootstrap` | `setConnPoolListener(ConnPoolListener<HttpHost> connPoolListener)` Assigns `ConnPoolListener` instance.
    `AsyncRequesterBootstrap` | `setDefaultMaxPerRoute(int defaultMaxPerRoute)`
    `AsyncRequesterBootstrap` | `setExceptionCallback(Callback<Exception> exceptionCallback)` Assigns `Exception` `Callback` instance.
    `AsyncRequesterBootstrap` | `setHttp1Config(Http1Config http1Config)` Sets HTTP/1.1 protocol parameters
    `AsyncRequesterBootstrap` | `setHttpProcessor(HttpProcessor httpProcessor)` Assigns `HttpProcessor` instance.
    `AsyncRequesterBootstrap` | `setIOReactorConfig(IOReactorConfig ioReactorConfig)` Sets I/O reactor configuration.
    `AsyncRequesterBootstrap` | `setIOSessionDecorator(Decorator<IOSession> ioSessionDecorator)` Assigns `IOSession` `Decorator` instance.
    `AsyncRequesterBootstrap` | `setIOSessionListener(IOSessionListener sessionListener)` Assigns `IOSessionListener` instance.
    `AsyncRequesterBootstrap` | `setMaxTotal(int maxTotal)`
    `AsyncRequesterBootstrap` | `setPoolConcurrencyPolicy(PoolConcurrencyPolicy poolConcurrencyPolicy)` Assigns `PoolConcurrencyPolicy` instance.
    `AsyncRequesterBootstrap` | `setPoolReusePolicy(PoolReusePolicy poolReusePolicy)` Assigns `PoolReusePolicy` instance.
    `AsyncRequesterBootstrap` | `setStreamListener(Http1StreamListener streamListener)` Assigns `Http1StreamListener` instance.
    `AsyncRequesterBootstrap` | `setTimeToLive(Timeout timeToLive)`
    `AsyncRequesterBootstrap` | `setTlsHandshakeTimeout(Timeout handshakeTimeout)`
    `AsyncRequesterBootstrap` | `setTlsStrategy(TlsStrategy tlsStrategy)` Assigns `TlsStrategy` instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### bootstrap

          public static AsyncRequesterBootstrap bootstrap()

    - #### setIOReactorConfig

          public final AsyncRequesterBootstrap setIOReactorConfig(IOReactorConfig ioReactorConfig)

      Sets I/O reactor configuration.

    - #### setHttp1Config

          public final AsyncRequesterBootstrap setHttp1Config(Http1Config http1Config)

      Sets HTTP/1.1 protocol parameters

    - #### setCharCodingConfig

          public final AsyncRequesterBootstrap setCharCodingConfig(CharCodingConfig charCodingConfig)

      Sets message char coding.

    - #### setHttpProcessor

          public final AsyncRequesterBootstrap setHttpProcessor(HttpProcessor httpProcessor)

      Assigns `HttpProcessor` instance.

    - #### setConnectionReuseStrategy

          public final AsyncRequesterBootstrap setConnectionReuseStrategy(ConnectionReuseStrategy connStrategy)

      Assigns `ConnectionReuseStrategy` instance.

    - #### setDefaultMaxPerRoute

          public final AsyncRequesterBootstrap setDefaultMaxPerRoute(int defaultMaxPerRoute)

    - #### setMaxTotal

          public final AsyncRequesterBootstrap setMaxTotal(int maxTotal)

    - #### setTimeToLive

          public final AsyncRequesterBootstrap setTimeToLive(Timeout timeToLive)

    - #### setPoolReusePolicy

          public final AsyncRequesterBootstrap setPoolReusePolicy(PoolReusePolicy poolReusePolicy)

      Assigns `PoolReusePolicy` instance.

    - #### setPoolConcurrencyPolicy

          @Experimental
          public final AsyncRequesterBootstrap setPoolConcurrencyPolicy(PoolConcurrencyPolicy poolConcurrencyPolicy)

      Assigns `PoolConcurrencyPolicy` instance.

    - #### setTlsStrategy

          public final AsyncRequesterBootstrap setTlsStrategy(TlsStrategy tlsStrategy)

      Assigns `TlsStrategy` instance.

    - #### setTlsHandshakeTimeout

          public final AsyncRequesterBootstrap setTlsHandshakeTimeout(Timeout handshakeTimeout)

    - #### setIOSessionDecorator

          public final AsyncRequesterBootstrap setIOSessionDecorator(Decorator<IOSession> ioSessionDecorator)

      Assigns `IOSession` `Decorator` instance.

    - #### setExceptionCallback

          public final AsyncRequesterBootstrap setExceptionCallback(Callback<Exception> exceptionCallback)

      Assigns `Exception` `Callback` instance.

    - #### setIOSessionListener

          public final AsyncRequesterBootstrap setIOSessionListener(IOSessionListener sessionListener)

      Assigns `IOSessionListener` instance.

    - #### setStreamListener

          public final AsyncRequesterBootstrap setStreamListener(Http1StreamListener streamListener)

      Assigns `Http1StreamListener` instance.

    - #### setConnPoolListener

          public final AsyncRequesterBootstrap setConnPoolListener(ConnPoolListener<HttpHost> connPoolListener)

      Assigns `ConnPoolListener` instance.

    - #### create

          public HttpAsyncRequester create()

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.